﻿using PropertyChanged;
using System;
using System.Collections.Generic;
using System.Text;
using Telerik.XamarinForms.Common;

namespace SampleApp
{
    [AddINotifyPropertyChangedInterface]
    public class PopupViewModel : NotifyPropertyChangedBase
    {
        private bool _isOpen;
        public bool IsOpen
        {
            get { return this._isOpen; }
            set
            {
                if(this._isOpen != value)
                {
                    this._isOpen = value;
                    OnPropertyChanged("IsOpen");
                }
            }
        }
    }
}
